Package jakarta.json.spi

## Class JsonProvider

- java.lang.Object
- - jakarta.json.spi.JsonProvider

    @ProviderType
    public abstract class JsonProvider
    extends Object

### Constructor Summary

Constructors
`protected` `JsonProvider()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract jakarta.json.JsonArrayBuilder` `createArrayBuilder()`
`jakarta.json.JsonArrayBuilder` `createArrayBuilder​(jakarta.json.JsonArray array)`
`jakarta.json.JsonArrayBuilder` `createArrayBuilder​(Collection<?> collection)`
`abstract jakarta.json.JsonBuilderFactory` `createBuilderFactory​(Map<String,​?> config)`
`jakarta.json.JsonPatch` `createDiff​(jakarta.json.JsonStructure source, jakarta.json.JsonStructure target)`
`abstract jakarta.json.stream.JsonGenerator` `createGenerator​(OutputStream out)`
`abstract jakarta.json.stream.JsonGenerator` `createGenerator​(Writer writer)`
`abstract jakarta.json.stream.JsonGeneratorFactory` `createGeneratorFactory​(Map<String,​?> config)`
`jakarta.json.JsonMergePatch` `createMergeDiff​(jakarta.json.JsonValue source, jakarta.json.JsonValue target)`
`jakarta.json.JsonMergePatch` `createMergePatch​(jakarta.json.JsonValue patch)`
`abstract jakarta.json.JsonObjectBuilder` `createObjectBuilder()`
`jakarta.json.JsonObjectBuilder` `createObjectBuilder​(jakarta.json.JsonObject object)`
`jakarta.json.JsonObjectBuilder` `createObjectBuilder​(Map<String,​?> map)`
`abstract jakarta.json.stream.JsonParser` `createParser​(InputStream in)`
`abstract jakarta.json.stream.JsonParser` `createParser​(Reader reader)`
`abstract jakarta.json.stream.JsonParserFactory` `createParserFactory​(Map<String,​?> config)`
`jakarta.json.JsonPatch` `createPatch​(jakarta.json.JsonArray array)`
`jakarta.json.JsonPatchBuilder` `createPatchBuilder()`
`jakarta.json.JsonPatchBuilder` `createPatchBuilder​(jakarta.json.JsonArray array)`
`jakarta.json.JsonPointer` `createPointer​(String jsonPointer)`
`abstract jakarta.json.JsonReader` `createReader​(InputStream in)`
`abstract jakarta.json.JsonReader` `createReader​(Reader reader)`
`abstract jakarta.json.JsonReaderFactory` `createReaderFactory​(Map<String,​?> config)`
`jakarta.json.JsonNumber` `createValue​(double value)`
`jakarta.json.JsonNumber` `createValue​(int value)`
`jakarta.json.JsonNumber` `createValue​(long value)`
`jakarta.json.JsonNumber` `createValue​(Number number)`
`jakarta.json.JsonString` `createValue​(String value)`
`jakarta.json.JsonNumber` `createValue​(BigDecimal value)`
`jakarta.json.JsonNumber` `createValue​(BigInteger value)`
`abstract jakarta.json.JsonWriter` `createWriter​(OutputStream out)`
`abstract jakarta.json.JsonWriter` `createWriter​(Writer writer)`
`abstract jakarta.json.JsonWriterFactory` `createWriterFactory​(Map<String,​?> config)`
`static JsonProvider` `provider()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonProvider

    protected JsonProvider()

### Method Detail

#### provider

    public static JsonProvider provider()

#### createParser

    public abstract jakarta.json.stream.JsonParser createParser​(Reader reader)

#### createParser

    public abstract jakarta.json.stream.JsonParser createParser​(InputStream in)

#### createParserFactory

    public abstract jakarta.json.stream.JsonParserFactory createParserFactory​(Map<String,​?> config)

#### createGenerator

    public abstract jakarta.json.stream.JsonGenerator createGenerator​(Writer writer)

#### createGenerator

    public abstract jakarta.json.stream.JsonGenerator createGenerator​(OutputStream out)

#### createGeneratorFactory

    public abstract jakarta.json.stream.JsonGeneratorFactory createGeneratorFactory​(Map<String,​?> config)

#### createReader

    public abstract jakarta.json.JsonReader createReader​(Reader reader)

#### createReader

    public abstract jakarta.json.JsonReader createReader​(InputStream in)

#### createWriter

    public abstract jakarta.json.JsonWriter createWriter​(Writer writer)

#### createWriter

    public abstract jakarta.json.JsonWriter createWriter​(OutputStream out)

#### createWriterFactory

    public abstract jakarta.json.JsonWriterFactory createWriterFactory​(Map<String,​?> config)

#### createReaderFactory

    public abstract jakarta.json.JsonReaderFactory createReaderFactory​(Map<String,​?> config)

#### createObjectBuilder

    public abstract jakarta.json.JsonObjectBuilder createObjectBuilder()

#### createObjectBuilder

    public jakarta.json.JsonObjectBuilder createObjectBuilder​(jakarta.json.JsonObject object)

#### createObjectBuilder

    public jakarta.json.JsonObjectBuilder createObjectBuilder​(Map<String,​?> map)

#### createArrayBuilder

    public abstract jakarta.json.JsonArrayBuilder createArrayBuilder()

#### createArrayBuilder

    public jakarta.json.JsonArrayBuilder createArrayBuilder​(jakarta.json.JsonArray array)

#### createPointer

    public jakarta.json.JsonPointer createPointer​(String jsonPointer)

#### createPatchBuilder

    public jakarta.json.JsonPatchBuilder createPatchBuilder()

#### createPatchBuilder

    public jakarta.json.JsonPatchBuilder createPatchBuilder​(jakarta.json.JsonArray array)

#### createPatch

    public jakarta.json.JsonPatch createPatch​(jakarta.json.JsonArray array)

#### createDiff

    public jakarta.json.JsonPatch createDiff​(jakarta.json.JsonStructure source,
                                             jakarta.json.JsonStructure target)

#### createMergePatch

    public jakarta.json.JsonMergePatch createMergePatch​(jakarta.json.JsonValue patch)

#### createMergeDiff

    public jakarta.json.JsonMergePatch createMergeDiff​(jakarta.json.JsonValue source,
                                                       jakarta.json.JsonValue target)

#### createArrayBuilder

    public jakarta.json.JsonArrayBuilder createArrayBuilder​(Collection<?> collection)

#### createBuilderFactory

    public abstract jakarta.json.JsonBuilderFactory createBuilderFactory​(Map<String,​?> config)

#### createValue

    public jakarta.json.JsonString createValue​(String value)

#### createValue

    public jakarta.json.JsonNumber createValue​(int value)

#### createValue

    public jakarta.json.JsonNumber createValue​(long value)

#### createValue

    public jakarta.json.JsonNumber createValue​(double value)

#### createValue

    public jakarta.json.JsonNumber createValue​(BigDecimal value)

#### createValue

    public jakarta.json.JsonNumber createValue​(BigInteger value)

#### createValue

    public jakarta.json.JsonNumber createValue​(Number number)